BizKitHub
DocsAPI ReferenceLedger/bff/ledger/dimension/rule
postLedgerAdmin BFF

/bff/ledger/dimension/rule

Create or update an account-mask rule of a dimension

LedgerpostBffLedgerDimensionRule

Parameters

JSON body

Request body

application/json
entityIdstringRequired

Accounting entity external id.

Length: 16–24
typeIdstringRequired
Length: 24–24
idstringOptional
Length: 24–24
accountMaskstringOptional
Length: 1–190
Example5, 6, !59
enforcement"error" | "warning" | "none"Optional
defaultValueIdstring | nullOptional
One of 2:
Variant 1
string
Length: 24–24
Variant 2
null
validFromstring | nullOptional
One of 2:
Variant 1
string
Example2027-01-31
Variant 2
null
validTostring | nullOptional
One of 2:
Variant 1
string
Example2027-01-31
Variant 2
null
isActivebooleanOptional
notestring | nullOptional
One of 2:
Variant 1
string
Length: 0–500
Variant 2
null

Response schema

1 status code documented

200Success

This response returns no JSON body.

Response example

application/json
{
  "success": true
}

Request example

POST /bff/ledger/dimension/rule

post
curl -X POST "https://api.bizkithub.com/bff/ledger/dimension/rule" \
  -H "Content-Type: application/json" \
  -H "Authorization: Bearer YOUR_API_KEY" \
  -d '{
  "entityId": "example_entityId",
  "typeId": "example_typeId",
  "id": "example_id",
  "accountMask": "5, 6, !59",
  "isActive": false
}'

Need an API key?

All BizKitHub public API endpoints require authentication via API key.

Get API Key